### File

`src/core/domain/interfaces/elastic/es-response-hits.interface.ts`

### Description

Structure of 'hits' object of Elasticsearch response

### Index

###### Properties

- hits
- Optional max_score
- total

### Properties

hits
`hits: `EsHitDto[]``
Type : `EsHitDto[]`
Array of search results

max_score
`max_score: `number``
Type : `number`
Optional
Maximum score amongst all search results

total
`total: `object``
Type : `object`
Object containing info about hits

    import { EsHitDto } from "../../dtos/elastic/es-hit.dto";

    /**
     * Structure of 'hits' object of Elasticsearch response
     */
    export interface EsResponseHits {
        /**
         * Object containing info about hits
         */
        total: object;

        /**
         * Maximum score amongst all search results
         */
        max_score?: number;

        /**
         * Array of search results
         */
        hits: EsHitDto[];
    }

# results matching ""

# No results matching ""